Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class DropDownHistoryModel.RedoPopUpMenuModel

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DropDownHistoryModel
          org.apache.batik.apps.svgbrowser.DropDownHistoryModel.RedoPopUpMenuModel

All Implemented Interfaces:
  DropDownComponent.ScrollablePopupMenuModel

Enclosing class:
  DropDownHistoryModel

    public static class DropDownHistoryModel.RedoPopUpMenuModel

extends DropDownHistoryModel

The redo pop up menu model.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.apps.svgbrowser.DropDownHistoryModel
`DropDownHistoryModel.RedoPopUpMenuModel, DropDownHistoryModel.UndoPopUpMenuModel`

Field Summary
`protected static String` | `REDO_FOOTER_TEXT` The redo footer text.
`protected static String` | `REDO_TOOLTIP_PREFIX` The prefix for the last redoable command.

Fields inherited from class org.apache.batik.apps.svgbrowser.DropDownHistoryModel
`historyBrowserInterface, items, parent`

Constructor Summary
`DropDownHistoryModel.RedoPopUpMenuModel(DropDownComponent.ScrollablePopupMenu parent, HistoryBrowserInterface historyBrowserInterface)` Creates the redo pop up menu model

Method Summary
`String` | `getFooterText()` Gets the footer text.
`void` | `processItemClicked()` Processes click on the pop up menu item.

Methods inherited from class org.apache.batik.apps.svgbrowser.DropDownHistoryModel
`addItem, clearAllScrollablePopupMenuItems, createItem, processAfterShowed, processBeforeShowed, removeFirstScrollablePopupMenuItem, removeItem, removeLastScrollablePopupMenuItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REDO_FOOTER_TEXT

    protected static String REDO_FOOTER_TEXT

  The redo footer text. Used for the footer item.

### REDO_TOOLTIP_PREFIX

    protected static String REDO_TOOLTIP_PREFIX

  The prefix for the last redoable command. E.g. (Redo change selection)

Constructor Detail

### DropDownHistoryModel.RedoPopUpMenuModel

    public DropDownHistoryModel.RedoPopUpMenuModel(DropDownComponent.ScrollablePopupMenu parent,
                                                   HistoryBrowserInterface historyBrowserInterface)

  Creates the redo pop up menu model

  Parameters:
    `parent` - The parent scrollable popup menu
    `historyBrowserInterface` - the historyBrowserInterface

Method Detail

### getFooterText

    public String getFooterText()

  Description copied from class: `DropDownHistoryModel`
  Gets the footer text.

  Specified by:
    `getFooterText` in interface `DropDownComponent.ScrollablePopupMenuModel`
  Overrides:
    `getFooterText` in class `DropDownHistoryModel`
  Returns:
    footer text

### processItemClicked

    public void processItemClicked()

  Description copied from class: `DropDownHistoryModel`
  Processes click on the pop up menu item.

  Specified by:
    `processItemClicked` in interface `DropDownComponent.ScrollablePopupMenuModel`
  Overrides:
    `processItemClicked` in class `DropDownHistoryModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.